summaryrefslogtreecommitdiffstats
path: root/hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-02 13:28:28 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-02 13:28:28 +0200
commit5a5ea9f7c7123a299324fd2020e90ef1b43b06f8 (patch)
tree59d2acd4be285defeac1743d6cd55597e087e6e8 /hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
parent344e2a492a776601c7e3b1843102d6918ba30cf0 (diff)
downloadjenkins.debian.net-5a5ea9f7c7123a299324fd2020e90ef1b43b06f8.tar.xz
reproducible Debian: add 3 new armhf nodes and pbuilder/schroot-setup jobs for them, thanks to Vagrant for setup+hosting
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup17
1 files changed, 17 insertions, 0 deletions
diff --git a/hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..334e03a2
--- /dev/null
+++ b/hosts/ff64a-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -z -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi